# TdApi.ChatAction (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatAction

Package it.tdlight.jni

# Class TdApi.ChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatAction

Direct Known Subclasses:
  `TdApi.ChatActionCancel`, `TdApi.ChatActionChoosingContact`, `TdApi.ChatActionChoosingLocation`, `TdApi.ChatActionChoosingSticker`, `TdApi.ChatActionRecordingVideo`, `TdApi.ChatActionRecordingVideoNote`, `TdApi.ChatActionRecordingVoiceNote`, `TdApi.ChatActionStartPlayingGame`, `TdApi.ChatActionTyping`, `TdApi.ChatActionUploadingDocument`, `TdApi.ChatActionUploadingPhoto`, `TdApi.ChatActionUploadingVideo`, `TdApi.ChatActionUploadingVideoNote`, `TdApi.ChatActionUploadingVoiceNote`, `TdApi.ChatActionWatchingAnimations`

Enclosing class:
  TdApi

    public abstract static class TdApi.ChatAction
    extends TdApi.Object

This class is an abstract base class.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatAction()` |

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatAction

public ChatAction()